Upload
1 min
POST
https://app.amberflo.io/account-setting/logo
Form Parameters
- logostring<binary>requiredDescription
Responses
200
- object
- filenamestring
- mimeTypestring
curl
curl --request POST \
--url https://app.amberflo.io/account-setting/logo \
--header 'accept: application/json' \
--header 'content-type: multipart/form-data' \
--form 'logo=@"/path/to/file"'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "multipart/form-data");
var formdata = new FormData();
formdata.append("logo", fileInput.files[0], "file");
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: formdata,
redirect: 'follow'
};
fetch("https://app.amberflo.io/account-setting/logo", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://app.amberflo.io/account-setting/logo")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "multipart/form-data"
form_data = [['logo', File.open('/path/to/file')]]
request.set_form form_data, 'multipart/form-data'
response = https.request(request)
puts response.read_body
python
import requests
url = "https://app.amberflo.io/account-setting/logo"
payload = {}
files=[
('logo',('file',open('/path/to/file','rb'),'application/octet-stream'))
]
headers = {
'accept': 'application/json',
'content-type': 'multipart/form-data'
}
response = requests.request("POST", url, headers=headers, data=payload, files=files)
print(response.text)
200
// Successful response
{
"filename": "",
"mimeType": ""
}Upload a company logo to be displayed in the Customer Portal.
When there is no company logo, a placeholder is displayed in the Customer Portal.
The file must be an image (i.e. have MIME type image/*) and be smaller than 1MB.